<template>
  <div class="modal-mask">
    <div class="modal-wrapper">
      <div class="modal-container">
        <div id="processingContainer" class="show-icon">
          <!-- Hourglass Processing Icon -->
          <div id="iconDiv" class="container-fluid">
            <svg class="bi bi-hourglass" id="hourglass" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" viewBox="0 0 16 16">
              <path d="M2 1.5a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-1v1a4.5 4.5 0 0 1-2.557 4.06c-.29.139-.443.377-.443.59v.7c0 .213.154.451.443.59A4.5 4.5 0 0 1 12.5 13v1h1a.5.5 0 0 1 0 1h-11a.5.5 0 1 1 0-1h1v-1a4.5 4.5 0 0 1 2.557-4.06c.29-.139.443-.377.443-.59v-.7c0-.213-.154-.451-.443-.59A4.5 4.5 0 0 1 3.5 3V2h-1a.5.5 0 0 1-.5-.5zm2.5.5v1a3.5 3.5 0 0 0 1.989 3.158c.533.256 1.011.791 1.011 1.491v.702c0 .7-.478 1.235-1.011 1.491A3.5 3.5 0 0 0 4.5 13v1h7v-1a3.5 3.5 0 0 0-1.989-3.158C8.978 9.586 8.5 9.052 8.5 8.351v-.702c0-.7.478-1.235 1.011-1.491A3.5 3.5 0 0 0 11.5 3V2h-7z"/>
            </svg>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "HourglassIcon"
}
</script>

<style scoped>
svg {
  color: #886565;
}

.show-icon {
  overflow: auto;
  display: block;
  position: fixed;
  padding: 2rem 1.1rem;
  z-index: 19;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: max-content;
  height: max-content;
  margin: auto;
  background-color: #E7DBCE;
  border-radius: 50%;
  border-color: #584141;
  pointer-events: all;
}

.modal-mask {
  position: fixed;
  z-index: 9998;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: table;
  transition: opacity 0.3s ease;
}

.modal-wrapper {
  display: table-cell;
  vertical-align: middle;
}

.modal-container {
  max-width: 1rem;
  padding: 1rem;
  height: max-content;
  margin: auto;
  background-color: #decebd;
  box-shadow: 0 0 0 100vmax rgba(0,0,0,.7);
  transition: all 0.3s ease;
}

#hourglass {
  color: #584141;
  margin: auto;
}
</style>